<ion-header>
  <ion-navbar>
    <ion-title>My Tracker</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <agm-map [latitude]="lat" [longitude]="lng">
    <agm-marker *ngFor="let place of places" [latitude]="place.lat" [longitude]="place.lng"></agm-marker>
  </agm-map>

  <ion-list>
    <ion-item *ngFor="let place of places; let index = index">
      {{place.name}}
      <ion-icon name="close" item-end (click)="deletePlace(index)"></ion-icon>  
    </ion-item>
  </ion-list>

  <ion-fab bottom right>
    <button ion-fab color="primary" (click)="newPlace()">
      <ion-icon name="add"></ion-icon>
    </button>
  </ion-fab>
</ion-content>